**`Unmesh Redkar`[NAME]** -NL- **`Contact:`[PERSONAL_DETAILS_HEADING]** -NL- Mobile Phone: **`214-385-7026`[PHONES_PHONE]** -NL- E-Mail : **`unmesh_redkar@hotmail.com`[EMAILS_EMAIL]** -NL- US Citizen -NL- **`Summary`[SUMMARY_HEADING]** -NL- **`Unmesh Redkar`[NAME]** is a senior Software Architect. He has led multiple client -NL- engagements for many fortune 500 companies. He has over 20 years of experience -NL- in application design and development, recently Unmesh is focused on Azure and -NL- Google cloud platform with special emphasis on Big Data using open source tools -NL- such as Spark, BigQuery, Dataflow and Airflow. -NL- His strength is in the breadth of skills and industry knowledge with a focus on -NL- enterprise solutions, architecture and design. He has worked for customers in -NL- Communication sector, Oil & Gas and Financial verticals. -NL- Unmesh has worked with different roles such as Chief Solution Architect, Enterprise -NL- Architect and as a technical Manager. -NL- Unmesh is looking for Software Architect position or IT development director, he is a -NL- US citizen. -NL- Knowledge -NL- ● Big Data Technologies: Tableau, Power Bi, Hadoop/Spark/Hive, Big -NL- Query, Airflow, Data Flow -NL- ● Application Development: MVC, Kendo, Razor, Microsoft BizTalk, Windows -NL- Workflow, Microsoft SQL Server, Oracle, WCF, OLAP, WPF, Angularjs -NL- 2.0/Angular CLI, grunt, bower,firebase. -NL- ● Programming Languages: C#, C , C++, Python, R Program (Statistical -NL- application), Octave, Matlab -NL- ● Functional Expertise: Application Integration, Business Intelligence, -NL- Statistical Analysis, Data mining, Marketing and Distribution based on US -NL- Demographic information -NL- ● Industry Expertise: Communication Sector, Financial Services, Oil and Gas -NL- ● Agile Development using Git and Jira -NL- ● Onshore / Offshore software development management -NL- ● Microsoft Azure: SQL Azure, Azure Data Warehouse, Azure Data Lake -NL- Documentdb, Application Insight, Azure Storage, Azure SQL, Azure Service -NL- Bus, Azure Service Fabric, Azure to S3 AWS integration, Power BI Service -NL- ● Google Cloud Platform: Big Query, Composer, GCS, Data Studio, Compute -NL- ● Past: -NL- Development and migration of IBM COBOL/ASSEMBLER/CICS/DB2/VSAM -NL- **`Employers with Dates:`[WORK_EXPERIENCE_HEADING]** -NL- **`Infosys`[EMPLOYER_COMPANY_NAME]** September 2018 to Present -NL- **`Independent Consultant`[EMPLOYER_COMPANY_NAME]** 2016 June to September 2017 -NL- **`Hitachi Consulting`[EMPLOYER_COMPANY_NAME]**: 2011-May 2016 -NL- **`Microsoft Consulting Services`[EMPLOYER_COMPANY_NAME]** (MCS): 1998-2011 -NL- **`Actium`[EMPLOYER_COMPANY_NAME]**: 1997-1998 -NL- **`Syntel Inc`[EMPLOYER_COMPANY_NAME]**. 1992-1997 -NL- Clients -NL- Fidelity, Estee, Altice, Johnson Controls -NL- **`Verizon`[PROJECT_COMPANY_NAME]**, Charter Communication, AT & T, Disney -NL- **`Wells Fargo`[PROJECT_COMPANY_NAME]**, AIG, UNUM, **`ANPAC`[PROJECT_TITLE]**, -NL- **`HP`[PROJECT_TITLE]**, Dell, **`PPG`[PROJECT_COMPANY_NAME]**, and **`Halliburton`[PROJECT_COMPANY_NAME]**, **`Jack Henry`[PROJECT_COMPANY_NAME]**, IBM. -NL- **`Education and Certifications`[EDUCATION_HEADING]** -NL- Google Cloud Platform: Coursera, too many certs to mention here -NL- Deep Learning specialization Coursera 2017. -NL- 1. Structuring Machine Learning Projects -NL- 2. Improving Deep Neural Networks -NL- 3. Neural Networks and Deep Learning -NL- Data Science (Statistics) Specialization for year 2014: -NL- 1. John Hopkins – Certificate in Computing for Data Analysis -NL- 2. John Hopkins – Certificate in Getting and Cleaning Data -NL- 3. John Hopkins – Certificate in Data Science Toolbox -NL- 4. John Hopkins – Certificate in Statistical Inference -NL- Year 2016: -NL- 1. The Global Financial Crisis by Yale University on Coursera. Certificate earned on -NL- Before 2016: -NL- 1 -NL- 1. Microsoft Certified Engineer -NL- 2. Microsoft Certified Database Administrator -NL- 3. Microsoft BizTalk Certified -NL- 4. BSc in Statistics Mumbai University -NL- **`Big Query Data Warehouse`[PROJECT_TITLE]** -NL- Unmesh was the technical architect and onshore manager for this project. Unmesh -NL- wrote Dataflow and airflow prototypes which were further enhanced and maintained -NL- by offshore team. Also developed POC with Data Studio. A custom meta data driven -NL- python based utility was used to copy on premise raw data to the GCS bucket. -NL- This is a big data project providing a unified reporting and analytics of all Cable data -NL- companies and cell phone call usage data. Combining legacy cable data with new -NL- cell phone business. Big Query was used to build a data warehouse and Composer -NL- was used to build the scheduling for ETL scripts. Python was the main programming -NL- language. PII data security along with column level encryption was provided to -NL- secure sensitive data. This was a big project with more than 20 team members or -NL- BA, ETL developers and data model designers. ABDR was the data model. The main -NL- challenge was to create a uniformed data model across many LOB applications. -NL- Technologies: Big Query, Composer (Airflow), Data Flow, Python, Data Fusion -NL- (Beta), Data Studio -NL- **`Catchment Demographic analysis for Marketing`[PROJECT_TITLE]** (**`Big Cosmetic -NL- company`[PROJECT_COMPANY_NAME]**) -NL- This is a big data application providing reporting and analytics of Store Sales Data, -NL- overlaid with demographic information provided by third party data provider. -NL- Unmesh had multiple roles in this project, he was the chief Big Data Architect, and -NL- managed offshore interaction and task allocation. -NL- Unmesh also wrote pyspark code for data transformation, and Hive code to create -NL- aggregation of data for Tableau. Data Transformation was a very important part of -NL- the project, data had to be transformed so that it could be easily presented using -NL- Tableau. -NL- Advanced calculations such as Stores where my brand is not sold but has high -NL- correlation, stores with high percentage of multiple demographic criteria such as -NL- education level, income, etc. -NL- As a part of this project Correlation Plots and Association Rules (Market Basket) -NL- analysis was done using R Studio. -NL- Machine learning was used to clusters stored based on driving distance. This was -NL- 2 -NL- then used to categorize Stores for product marketing based on Demographic -NL- information. -NL- Technologies: Azure HDInsight, PySpark 2.0, Hive, Azure Data Lake, Tableau, -NL- Hive, Azure Data Factory -NL- **`Employee Stock Purchase Programs`[PROJECT_TITLE]** (Very Big Mutual Fund -NL- Company) -NL- This is a Big Data application providing reporting and analytics using Power BI, -NL- Azure Data Warehouse Hadoop and Azure Data Lake. -NL- We replicated user stock purchase behaviour analytics by Age, Tenure, Price. -NL- Reports were provided using Power BI and R. -NL- R based analytics were provided as embedded code in Power BI. -NL- Azure Data Lake and HDInsight was used to process big data scenarios. -NL- Technologies: Azure HDInsight, PySpark 2.0, Hive, Azure Data Warehouse, Azure -NL- Data Lake, Power BI Service with R. -NL- **`Bootbarn.com and Sheplers.com`[PROJECT_TITLE]** -NL- Unmesh worked on an Order processing middle tier integration project for -NL- Bootbarn.com. Unmesh wrote code for various modules integrating Azure BizTalk -NL- (ASN), APTOS, Locate, and Serenade applications. He also connected these -NL- middlewares with Bootbarn.com ecommerce site using to AWS S3 bucket. The -NL- primary technology was Azure Service fabric with C# and .net. Custom framework -NL- was written to provide customizable workflow system on top of Azure Service -NL- Fabric, providing compensation and retries. An Angular web site was developed to -NL- manage order processing. We did cross shipping, vendor management, invoices, -NL- and product catalog. The main idea was to migrate on premise systems to Azure. -NL- Unmesh designed and developed services that could transferfiles between various -NL- endpoints, such as FTP, AWS S3, Blob Storage, DocumentDB and Azure SQL. Data -NL- transformation and enrichment micro services were provided, an internal admin -NL- web site for management of the various services is being developed. All web Api -NL- services were hosted in Azure Service fabric, various types of services to monitor -NL- MSMQ and Azure service bus queues were written by Unmesh. -NL- Primary role was to architect the solution and to write production ready code. The -NL- development team was distributed across the country, involving daily standup. Jira -NL- was used to manage the project and to log time. ARM templates were used to -NL- create the environment. -NL- 3 -NL- Technologies: Microsoft Azure, Visual Studio 2015, Azure SQL, C#, DocumentDB, -NL- AWS S3 and Azure Service fabric. Azure Service Bus Q, MSMQ, Angular. ARM. -NL- **`Hitachi Consulting Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Hitachi Health Data Aggregator`[PROJECT_TITLE]** -NL- Unmesh is the architect and administrator of this Azure based application. This is a -NL- health care solution from Hitachi consulting, with insurance companies as primary -NL- clients. The end users, who have or were given a Fitbit or similar devices, register -NL- their device; the data from these devices is then anonymously aggregated into the -NL- clients tenant (Azure Cloud). Analytics are then generated to help the client see -NL- progress of their marketing scheme. The end user gets an incentive from employer -NL- based on their behavior. The insurance companies save on insurance claims in the -NL- long run. -NL- Technologies: Microsoft Azure, Visual Studio 2015, Azure SQL, C#, Razor, -NL- Documentdb -NL- **`eCompletions`[PROJECT_TITLE]** - **`Halliburton`[PROJECT_COMPANY_NAME]** -NL- Unmesh is the chief architect for **`eCompletions`[PROJECT_TITLE]** project for **`Halliburton`[PROJECT_COMPANY_NAME]**. In this role, -NL- he is defining the architecture for the new global **`eCompletions`[PROJECT_TITLE]** application for the -NL- **`Halliburton`[PROJECT_COMPANY_NAME]** completions tools PSL. The main architecture areas he is responsible for -NL- are EAI, BI and Custom Application Development. -NL- His main tasks are to define database design (ERD), provide a migration path for -NL- legacy data and application to the new platform, and define architecture to -NL- integrate various systems such as SAP, KPI and Design of service. -NL- To provide Disaster recovery (DR) and High Availability (HA) for this enterprise class -NL- system. To evaluate technologies for BI and EAI systems, and to provide guidance -NL- on build versus buy decisions. As part of this project Unmesh has also written code -NL- for various Proofs of concepts (POC) sub projects and then used these POC to guide -NL- developers and architects on the project. -NL- This application has very high-end 3D graphics to model the well and real time data -NL- points. Unmesh is collaborating with designers and developers in this area, but his -NL- main expertise is in middle tier and data science. -NL- Technologies: Visual Studio 2013, SQL 2014, SSRS, Integration Services, WPF, 3D -NL- Graphics, COLLADA, Webgl, Active Directory, Oracle Data Warehouse, Javascript, -NL- HTML, Angularjs, C#. -NL- 4 -NL- **`Quality Application for Process manufacturing`[PROJECT_TITLE]** – **`PPG`[PROJECT_COMPANY_NAME]** -NL- Unmesh was a Program Manager and Technical Architect for a custom .Net site for -NL- managing Quality (SPC) control application for **`PPG`[PROJECT_COMPANY_NAME]**. Unmesh is part of Oracle -NL- Process Manufacturing (OPM) Team. Quality is a .net application integrating with -NL- OPM Oracle Database. -NL- This quality application defines compositional analysis, test specifications; test -NL- Methods, creating acceptance plan, and charts for Statistical Process Control. This -NL- system also allows for dynamic adjustments using learned regression models. -NL- Unmesh was leading a team of 5 on site resources with a big offshore team. In this -NL- project Unmesh defined the project plan, timeline, and LOE along with resource -NL- allocation. Unmesh also provided technical architecture and development guidance -NL- to various owners. -NL- Technologies: Visual Studio 2013, MVC, RAZOR, C#, Kendo UI, Angularjs, Machine -NL- Learning using Regression and curvefitting -NL- ATM authorization and ATM Management – **`Jack Henry`[PROJECT_COMPANY_NAME]** -NL- Unmesh was an Architect on Passport ATM driving platform for **`Jack Henry`[PROJECT_COMPANY_NAME]**, -NL- developing ATM authorization and ATM driving SAAS platform. Responsibility -NL- included gathering current state features and issues, by interviewing the business -NL- users, sales and services organization. He defined the vision of scalable, fault -NL- tolerant, multi-tenant software as a service platform. -NL- The platform connects 30 EFT Switches to 100s of hosted and on premise Banks, -NL- using a combination of persistent TCP/IP Sockets and WCF. -NL- He designed and developed a failover system for ATM Authorization using Jack -NL- Henry Mainframe switch. The application was a middle tier authorization and -NL- processed ISO 8583 messages connecting bank or foreign ATM with their respective -NL- Banking Core software. This was a port from C/QNX system to Windows/WCF/C# -NL- system. -NL- Unmesh also integrated with Postilion application developing a custom portal, this -NL- portal was used to manage 1000s of ATM for 2000 midsize banks. The portal let the -NL- end user monitor their ATMs for availability, and cash management. -NL- Technologies: Visual Studio 2010, MVC, RAZOR, C, QNX, C#, WCF, KENDO -NL- 5 -NL- **`Azure POC`[PROJECT_TITLE]** -NL- **`Azure POC`[PROJECT_TITLE]** with Silverlight, SQL Azure for Oil and Gas Service Provider, this -NL- application allows the company to track the location offield works, it has a built in -NL- Travelling salesman algorithm tofind optimized route between locations. -NL- **`ANPAC`[PROJECT_TITLE]** -NL- **`Technical Architect and application development strategy consultant`[PROJECT_COMPANY_NAME]** -NL- ● Assist managers and architects in defining future development strategy for -NL- unifying several legacy systems into one middle tier. -NL- ● Define vision for middle tier to unify client API for highly distributedfield -NL- agents -NL- ● Technical reviews of current architecture and provide recommendations for -NL- future direction using BizTalk, Mainframe and Duck Creek rating engine -NL- ● Designed and developed POC prototypes for BizTalk connecting IBM -NL- mainframe/Shadow gateway, WCF services across many end points and Duck -NL- Creek rating engine. -NL- Technologies: BizTalk 2010, Visual Studio 2010, Shadow Gateway, Duck Creek -NL- rating engine -NL- **`GHX`[PROJECT_TITLE]** -NL- **`Technical Architect and application development strategy consultant`[PROJECT_COMPANY_NAME]** -NL- ● Technical review of current architecture and provide recommendations for -NL- performance improvement of a custom application processing greater than -NL- 100,000files per day. -NL- ● Provide long term and short term solutions including changes in the code as -NL- well as database design, SQL mirroring, index improvements and changes to -NL- stored procedures. -NL- ● Monitor SQL profiler and provide detail pivot tables spreadsheets reports on. -NL- o User ID by resource usage by time -NL- o Slowest store procedures -NL- o Highest CPU, DISK, Time consuming applications -NL- Technologies: Visual Studio 2010, SSIS, SQL Server, WCF -NL- **`Microsoft Corporation `[PROJECT_COMPANY_NAME]**12 years+ -NL- **`HP`[PROJECT_TITLE]** -NL- Technical Architect and strategy consultant -NL- ● Assist managers and architects defining future development strategy -NL- 6 -NL- ● Design reviews -NL- ● Technical reviews of Architecture and provide recommendation for choosing -NL- from various alternative design -NL- ● Designed and developed prototypes for early adoption of technology -NL- ● Software as a service for managing customers hardware (Server and -NL- Desktop) -NL- ● BizTalk activity monitoring design and development including data -NL- warehouse strategy -NL- ● Very large event processing and managing system, server out of disk space -NL- was one of the many events that were monitored -NL- ● Multi-tenant system supporting many clients on the same infrastructure -NL- Technologies: Microsoft CRM, BizTalk 2010, Visual Studio 2010, Microsoft SSIS -NL- **`Wells Fargo`[PROJECT_COMPANY_NAME]** -NL- Technical Architect, BizTalk and Microsoft CRM 4 -NL- ● Architect for a 100+ man team, distributed in 3 US states and in India -NL- ● Defined and implementation in integration architecture of delta processing -NL- and daily full loads -NL- ● Developed and implemented custom pipeline which was used both in BizTalk -NL- as well as Microsoft integration services to load and transform data between -NL- financial applications -NL- ● Assist team in technical and architecture related issues -NL- ● Integration of multi-tenant CRM system with other CRM and custom systems -NL- ● Helped Project managers in best practices and technology related decisions -NL- Technologies: Microsoft CRM, BizTalk 2010, Visual Studio 2010, Microsoft SSIS -NL- **`Verizon`[PROJECT_COMPANY_NAME]** -NL- Enterprise Architect, Corporate Internet and Intranet Sites -NL- ● Architect forflagship corporate site -NL- ● Provide architecture and design assistance for Order processing -NL- ● Designed and developed a custom Workflow system (like BizTalk) using .Net, -NL- including custom design surface for drawing workflow, custom provisioning -NL- required for phone lines was part of this framework and tools. -NL- ● Data mining model design for recommendation based on customer profile -NL- Technologies: C#, ASP.NET, BizTalk 2010, Business rules engine, Microsoft -NL- SQL -NL- **`Verizon`[PROJECT_COMPANY_NAME]** -NL- Rules Engine architect for Order processing -NL- ● Biggest BizTalk rules engine project in the world with about 250,000 rules -NL- 7 -NL- and 10,000 policies managing all ordersflowing through the east course -NL- ● Architect for the entire solution, assisting developers for generating rules -NL- from the mainframe and then downloading and installing them every night -NL- during the automated refresh process -NL- Technologies: Microsoft BizTalk Rules Engine, SQL, IBM Mainframe, C# -NL- 8 -NL- 